Skip to main content
POST
Query Orders Info

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Query Parameters

account_id
string

Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

txid
string
required

The Kraken order identifier. To query multiple orders, use comma delimited list of up to 50 ids.

trades
boolean
default:false

Whether or not to include trades related to position in output

userref
integer<int32>

Restrict results to given user reference id

cl_ord_id
string

Restrict results to given client order id

consolidate_taker
boolean
default:true

Whether or not to consolidate trades by individual taker trades

rebase_multiplier
enum<string> | null
default:rebased

Optional parameter for viewing xStocks data.

  • rebased: Display in terms of underlying equity.
  • base: Display in terms of SPV tokens.
Available options:
rebased,
base

Response

200 - application/json

Orders info retrieved.

result
object

Orders keyed by txid.

error
string[]

Kraken API error